{% load static %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset = "UTF-8" />
    <title>Home</title>
    <link rel="stylesheet" href="{% static 'lab4_index.css' %}" />
  </head>
  <div class="topnav">
    <a class="active" href="/lab-4/home">Home</a>
    <a href="/lab-4/add-note">Add Note</a>
    <a href="/lab-4/note-list">Note List</a>
  </div>
  <body>
    <h1>Notes Storage</h1> <!-- Halaman akan menampilkan heading dengan tulisan "Notes Storage" -->
    <table>
      <tr>
        <th>To</th>
        <th>From</th>
        <th>Title</th>
        <th>Message</th>
      </tr>
      <!-- TODO loop from note model -->
      {% if notes %} <!-- Melakukan pengecekan apakah note terdefinisi  -->
      {% for i in notes %} <!-- For loop berjalan untuk setiap i pada note -->
      <tr>
        <td>{{ i.To }}</td> <!-- Menambahkan atribut To, From, Title, dan Message dari tiap note ke table -->
        <td>{{ i.From }}</td>
        <td>{{ i.Title }}</td>
        <td>{{ i.Message }}</td>
      </tr>
      {% endfor %} <!-- Akhir dari loop -->
      {% endif %} <!-- Akhir dari conditional statement if -->
    </tr>
    </table>
  </body>
</html>
